Subject: Re: [AVT] Question regarding sequence numbers in RTP

From: "Ingemar Johansson S" <[email-masked]>
Date: Fri, 23 May 2008 07:32:09 +0200

Hi

The sequence numbers are generated randomly for each stream and there
will be two different SSRC IDs aswell
(see 5.1 in RFC3550).

/Ingemar

> Message: 5
> Date: Thu, 22 May 2008 10:47:29 +0200
> From: Marian Kechlibar <[email-masked]>
> Subject: [AVT] Question regarding sequence numbers in RTP
> To: [email-masked]
> Message-ID: <[email-masked]>
> Content-Type: text/plain; charset=ISO-8859-2; format=flowed
> 
> Dear AVT Team,
> 
> I am currently implementing my own version of RTP, and I have met a 
> problem with understanding the RFC describing the RTP protocol.
> Namely, how are the sequence numbers generated? If one side 
> of the RTP 
> communication creates two streams within one session (say, audio
> and video), they will two different SSRC IDs (will they? I 
> believe so), 
> but what about the sequence numbers? Is a single sequence used for
> the two streams, or does every SSRC ID have its own sequence 
> of numbers?
> 
> Best regards
> 
> Marian Kechlibar
> 
> 
> ------------------------------
> 
> _______________________________________________
> Audio/Video Transport Working Group
> [email-masked]
> https://www.ietf.org/mailman/listinfo/avt
> 
> 
> End of avt Digest, Vol 49, Issue 13
> ***********************************
> 
_______________________________________________
Audio/Video Transport Working Group
[email-masked]
https://www.ietf.org/mailman/listinfo/avt